Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
%define fedora 29
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename rollup

# Tests disabled due to missing npm(buble) package
%global enable_tests 0

Name:		nodejs-rollup
Version:	0.41.6
Release:	alt1_4
Summary:	Next-generation ES6 module bundler

License:	MIT
URL:		https://github.com/rollup/rollup
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source2:	src-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:	noarch
%if 0%{?fedora} >= 19
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	rpm-build-nodejs node-devel

%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(buble)
%endif
Source44: import.info

%description
Next-generation ES6 module bundler


%prep
%setup -q -n package

# setup the tests and src
%setup -q -T -D -a 1 -n package

%setup -q -T -D -a 2 -n package


sed -i '1s/env //' bin/rollup

%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json bin/ dist/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}/bin
install -p -D -m0755 bin/rollup %{buildroot}%{nodejs_sitelib}/%{packagename}/bin/rollup

mkdir -p %{buildroot}%{_bindir}
ln -sf %{nodejs_sitelib}/%{packagename}/bin/rollup \
    %{buildroot}%{_bindir}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/mocha -R spec
%else
echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc CHANGELOG.md README.md
%doc --no-dereference LICENSE.md
%{nodejs_sitelib}/%{packagename}
%{_bindir}/%{packagename}

%changelog
* Fri Mar 22 2019 Igor Vlasenko <viy@altlinux.ru> 0.41.6-alt1_4
- new version

* Thu Mar 21 2019 Igor Vlasenko <viy@altlinux.ru> 0.41.6-alt0.1.njs.bootstrap
- bootstrap

